#2 Use cmake(...) or pkgconfig(...) in BuildRequires where possible
Merged a year ago by sharkcz. Opened a year ago by omos.
rpms/ omos/qmapshack cleanup-buildrequires  into  rawhide

file modified
+13 -16
@@ -23,25 +23,22 @@ 

  %else

  BuildRequires: cmake

  %endif

- BuildRequires: pkgconfig(Qt5Widgets)

- BuildRequires: pkgconfig(Qt5Core)

- BuildRequires: pkgconfig(Qt5Xml)

- BuildRequires: pkgconfig(Qt5Script)

- BuildRequires: pkgconfig(Qt5Sql)

- BuildRequires: pkgconfig(Qt5WebEngineWidgets)

- BuildRequires: pkgconfig(Qt5UiTools)

- BuildRequires: qt5-qttools-devel

- BuildRequires: proj-devel

- BuildRequires: gdal-devel

- BuildRequires: zlib-devel

+ BuildRequires: cmake(Qt5Widgets)

+ BuildRequires: cmake(Qt5Core)

+ BuildRequires: cmake(Qt5Xml)

+ BuildRequires: cmake(Qt5Script)

+ BuildRequires: cmake(Qt5Sql)

+ BuildRequires: cmake(Qt5WebEngineWidgets)

+ BuildRequires: cmake(Qt5UiTools)

+ BuildRequires: cmake(Qt5Help)

+ BuildRequires: cmake(proj)

+ BuildRequires: cmake(QuaZip-Qt5)

+ BuildRequires: pkgconfig(gdal)

+ BuildRequires: pkgconfig(zlib)

+ BuildRequires: pkgconfig(libjpeg)

  BuildRequires: routino-devel

  BuildRequires: alglib-devel

- BuildRequires: quazip-qt5-devel

- BuildRequires: libjpeg-devel

  BuildRequires: desktop-file-utils

- BuildRequires: sqlite-devel

- BuildRequires: libtiff-devel

- BuildRequires: libcurl-devel

  

  # because new dependency on WebEngine

  ExclusiveArch: %{qt5_qtwebengine_arches}

This should allow the packages to seamlessly provide compat packages if
they change API significantly. Also remove unused BRs for sqlite-devel,
libtiff-devel, and libcurl-devel.

Pull-Request has been merged by sharkcz

a year ago
Metadata